Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets
Interface ResourceManager

public interface ResourceManager

Method Summary
`void` | `addResource(java.lang.Object obj)`
`boolean` | `contains(java.lang.Class cls)` return false if not found.
`void` | `disposeAllResources()`
`Archive` | `getArchive(ClassName[] table)` Archives that this resource manager is managing.
`ClassName[]` | `getClassNames(java.lang.Class[] classes)` public DigestTable getDigestTable(Class[] classes);
`void` | `importArchive(Archive a)`
`java.lang.Class` | `loadClass(java.lang.String name)`
`AgletThread` | `newAgletThread(MessageManager mm)`
`void` | `resumeAllThreads()`
`void` | `setResourceManagerContext()`
`void` | `stopAllThreads()`
`void` | `stopThreadGroup()`
`void` | `suspendAllThreads()`
`void` | `unsetResourceManagerContext()`

Method Detail

### addResource

    public void addResource(java.lang.Object obj)

### contains

    public boolean contains(java.lang.Class cls)

  return false if not found.

### disposeAllResources

    public void disposeAllResources()

### getArchive

    public Archive getArchive(ClassName[] table)

  Archives that this resource manager is managing. public Archive getArchive(DigestTable table);

### getClassNames

    public ClassName[] getClassNames(java.lang.Class[] classes)

  public DigestTable getDigestTable(Class[] classes);

### importArchive

    public void importArchive(Archive a)

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

### newAgletThread

    public AgletThread newAgletThread(MessageManager mm)

### resumeAllThreads

    public void resumeAllThreads()

### setResourceManagerContext

    public void setResourceManagerContext()

### stopAllThreads

    public void stopAllThreads()

### stopThreadGroup

    public void stopThreadGroup()

### suspendAllThreads

    public void suspendAllThreads()

### unsetResourceManagerContext

    public void unsetResourceManagerContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD